Fix it so it compiles with glibc 2 under linux